[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFPImageBitmap.LazarusResourceTypeValid

Determines if the specified resource type is valid for the image format.

## Declaration

Source position: graphics.pp line 1455

`public function TFPImageBitmap.LazarusResourceTypeValid(`
`const ResourceType: string`
`):Boolean; override;`

## Arguments

`ResourceType` |  | Resource type examined in the method.

## Function result

True when the resource type name is one file extensions for the image format.

## Description

LazarusResourceTypeValid is a Boolean function used to determine if the value in ResourceType is a valid resource type for the image format.

LazarusResourceTypeValid is an overridden method, and re-implements the method defined in the ancestor class. The return value is True when ResourceType contains is one the file extensions returned from IsFileExtensionSupported. The return value is False if ResourceType contains any other value.

LazarusResourceTypeValid is used in the implementation of the LoadFromLazarusResource method.

## See also

TFPImageBitmap.IsFileExtensionSupported |  | Indicates whether the given file extension is supported for the image type.
TCustomBitmap.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TGraphic.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TGraphic.LoadFromLazarusResource |  | Load the graphic data from a Lazarus Resource (.lrs) file.